glibmm 2.30.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions
Glib::RecMutex Class Reference
Threads

`#include <glibmm/thread.h>`

Inheritance diagram for Glib::RecMutex:
[legend]

List of all members.

## Classes
class | Lock
| Utility class for exception-safe locking of recursive mutexes. More...
## Public Member Functions
| RecMutex ()
| ~RecMutex ()

## Constructor & Destructor Documentation

Glib::RecMutex::RecMutex | ( |  | ) |

Glib::RecMutex::~RecMutex | ( |  | ) |